Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 435604

Summary: dev-ruby/trogdoro-el4r - Emacs Lisp Ruby bridge: extend Emacs with Ruby (or Ruby apps with Emacs Lisp)
Product: Gentoo Linux Reporter: daktak <daktak>
Component: New packagesAssignee: Default Assignee for New Packages <maintainer-wanted>
Status: UNCONFIRMED ---    
Severity: normal CC: ruby
Priority: Normal Keywords: EBUILD
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/trogdoro/trogdoro-el4r/
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 435514    
Attachments: dev-ruby/trogdoro-el4r-1.0.7.ebuild
dev-ruby/trogdoro-el4r-1.0.7.ebuild

Description daktak 2012-09-20 06:34:42 UTC
Created attachment 324360 [details]
dev-ruby/trogdoro-el4r-1.0.7.ebuild

Emacs Lisp Ruby bridge: extend Emacs with Ruby (or Ruby apps with Emacs Lisp)
Comment 1 daktak 2012-09-24 06:38:05 UTC
Created attachment 324772 [details]
dev-ruby/trogdoro-el4r-1.0.7.ebuild

fix to add setup for emacs file for Xiki
Comment 2 Hans de Graaff gentoo-dev 2012-10-03 17:46:09 UTC
We will only add this to the ruby herd when needed by other dependencies in the tree (i.e when hiki is added).

Things that should be fixed:

* No ruby19 keyword
* Why the binwrap restriction?
* Documentation files should be installed (RUBY_FAKEGEM_EXTRADOC)
* Why install setup.rb?
* Tests should be run
* Emacs support (in data) should be installed via the emacs lisp eclasses.